#!/usr/bin/env python3

import sys

def gcd(a, b):
    """
    Computes the greatest common divisor of a and b

    :param a: <int> integer
    :param b: <int> integer
    :return: <int> gcd(a, b)
    """
    
    if b == 0:
        return a
    else:
        return gcd(b, a % b)

def main():
    if len(sys.argv) < 3:
        print(f"Usage: {sys.argv[0]} <a> <b>")
        exit()
    try:
        a, b = int(sys.argv[1]), int(sys.argv[2])
        result = gcd(a, b)
        print(f"Computed value GCD({a}, {b}) = {result}")
        
    except ValueError as e:
        print(f"[ERR] – Failed to convert arguments into ints")
        print(e)
        exit()    

if __name__ == "__main__":
    main()    
